mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.HashAlgorithm System.Runtime.InteropServices.ComVisible(true)

The hash is used as a unique value of fixed size representing a large amount of data. Hashes of two sets of data should match if and only if the corresponding data also matches. Small changes to the data result in large unpredictable changes in the hash.

The hash size for the algorithm is 384 bits.

Computes the hash for the input data.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code create a new instance of a derived class.

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.SHA384 To be added

  Creates an instance of the default implementation of .

  A new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.SHA384 `` To be added

  Creates an instance of a specified implementation of .

  A new instance of using the specified implementation.

  The name of the specific implementation of to be used.